{ pythonPackages }:

pythonPackages.buildPythonApplication rec {
  pname = "selfprivacy-graphql-api";
  version = "2.1.3"; # (version updates here are susceptible to human error)
  src = builtins.fetchGit {
    url = "https://git.selfprivacy.org/SelfPrivacy/selfprivacy-rest-api.git";
    rev = "b3a37e8b1fd50457b4d48b9421d77603437e6f2f";
  };
  propagatedBuildInputs = with pythonPackages; [
    fastapi
    gevent
    huey
    mnemonic
    portalocker
    psutil
    pydantic
    pytest
    pytest-datadir
    pytest-mock
    pytz
    redis
    setuptools
    strawberry-graphql
    typing-extensions
    uvicorn
  ];
  meta = {
    description = ''
      SelfPrivacy Server Management API
    '';
  };
  passthru = {
    # TODO explain what's the purpose of this?
    pythonPath = pythonPackages.makePythonPath propagatedBuildInputs;
  };
}
